pool.hpp File Reference

C++ pmemobj pool. More...

`#include <stddef.h>`
`#include <string>`
`#include <sys/stat.h>`
`#include "libpmemobj++/detail/pexceptions.hpp"`
`#include "libpmemobj++/p.hpp"`
`#include "libpmemobj/pool_base.h"`
Include dependency graph for pool.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | pmem::obj::persistent_ptr< T >
| Persistent pointer class. More...
class | pmem::obj::pool_base
| The non-template pool base class. More...
class | pmem::obj::pool< T >
| PMEMobj pool class. More...

## Detailed Description

C++ pmemobj pool.